package com.bzd.system.service.jggl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 价格调整通知 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJgglPriceadjustmentsheetService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJgglPriceadjustmentsheet(PageData pd)throws Exception {
        return daoSupport.update("SJgglPriceadjustmentsheetMapper.addSJgglPriceadjustmentsheet", pd);
    }

    public List<PageData> findSJgglPriceadjustmentsheetList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJgglPriceadjustmentsheetMapper.selectSJgglPriceadjustmentsheetList", pd);
    }

    public Integer SJgglPriceadjustmentsheetRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJgglPriceadjustmentsheetMapper.SJgglPriceadjustmentsheetRemove", pd);
    }


    public Integer updateSJgglPriceadjustmentsheet(PageData pd)throws Exception {
        return daoSupport.update("SJgglPriceadjustmentsheetMapper.updateSJgglPriceadjustmentsheet", pd);
    }

}
